Bug 1701 - [UPDATE REQUEST] [UPSTREAM UPDATE] vsftpd
: [UPDATE REQUEST] [UPSTREAM UPDATE] vsftpd
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-20 12:29 MSK by Andrew Lukoshko
Modified: 2013-10-23 13:34 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-02-20 12:29:41 MSK
Updated vsftpd from RHEL6 upstream.

Advisory:
The vsftpd daemon supports the proxy FTP command line of the FTP client. The
FTP client creates simultaneous connections to two remote vsftpd servers, so
established connections provide the ability to transfer data from one server to
another. Previously, the vsftpd daemon failed to establish data connections to
another server opened with the "proxy get [file]" command and instead sent the
data connection request to the client. With this update, the vsftpd daemon is
able to establish data connections to another FTP server using the "proxy get
[file]" command.

http://rhn.redhat.com/errata/RHBA-2013-0263.html

Build lists:
https://abf.rosalinux.ru/build_lists/962139
https://abf.rosalinux.ru/build_lists/962140
Comment 1 Vladimir Potapov 2013-02-23 06:08:25 MSK
vsftpd-2.2.2-11.res6.1
********************* RHEL Advisory **************************
The vsftpd daemon supports the proxy FTP command line of the FTP client. The
FTP client creates simultaneous connections to two remote vsftpd servers, so
established connections provide the ability to transfer data from one server to
another. Previously, the vsftpd daemon failed to establish data connections to
another server opened with the "proxy get [file]" command and instead sent the
data connection request to the client. With this update, the vsftpd daemon is
able to establish data connections to another FTP server using the "proxy get
[file]" command.
*****************************************************************
QA Verified